> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Unsubscribe from Alerts

> Remove subscription to alerts from specified applications and channels with bulk unsubscription support



## OpenAPI

````yaml /openapi/alerts.json post /v2/unsubscribe
openapi: 3.1.0
info:
  title: Dialect Alerts V2 API
  description: >-
    Notification infrastructure for real-time alert delivery through multiple
    channels including in-app notifications, email, push notifications, and
    Telegram.
  version: 2.2.0-beta
servers:
  - url: https://alerts-api.dial.to
    description: Dialect Production
  - url: https://alerts.dialectapi.to
    description: Dialect Production
security: []
paths:
  /v2/unsubscribe:
    post:
      tags:
        - Integrate an Inbox
      summary: Unsubscribe from Alerts
      description: >-
        Remove subscription to alerts from specified applications and channels
        with bulk unsubscription support
      operationId: unsubscribeFromAlerts
      parameters:
        - name: X-Dialect-Client-Key
          in: header
          required: true
          schema:
            type: string
            description: Client Key used to uniquely identify the client
            example: dk_gyh2eqzfkc4mhp5eiahnndkz
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  anyOf:
                    - type: string
                      format: uuid
                      description: Application ID
                      example: 255d6163-7e25-43e9-a188-c2f8d0980a4a
                    - type: array
                      items:
                        type: string
                        format: uuid
                        description: Application ID
                        example: 255d6163-7e25-43e9-a188-c2f8d0980a4a
                  description: >-
                    App ID or an array of App IDs. If empty or omitted, targets
                    all apps available (owned or whitelisted) for the client.
                  example: 123e4567-e89b-12d3-a456-426614174000
                channel:
                  anyOf:
                    - type: string
                      enum:
                        - IN_APP
                        - EMAIL
                        - TELEGRAM
                    - type: array
                      items:
                        type: string
                        enum:
                          - IN_APP
                          - EMAIL
                          - TELEGRAM
                  description: >-
                    Channel or an array of channels (IN_APP, TELEGRAM, EMAIL).
                    If empty or omitted, targets all channels available for the
                    subscriber
                  example: IN_APP
      responses:
        '201':
          description: Unsubscription successful
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Request validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                required:
                  - error
        '401':
          description: Unauthorized
        '422':
          description: Constraint validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - subscriber: []
components:
  securitySchemes:
    subscriber:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication for subscriber calls

````